{
  config,
  lib,
  ...
}: let
  cfg = config.marleyos.programs.ncmpcpp;
in {
  options.marleyos.programs.ncmpcpp.enable = lib.mkEnableOption "ncmpcpp";

  config = lib.mkIf cfg.enable {
    programs.ncmpcpp.enable = true;
  };
}
